% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CNVmap.R
\name{H0_shuffle_seq}
\alias{H0_shuffle_seq}
\title{Shuffles data to remove CNV signature (H0 case)}
\usage{
H0_shuffle_seq(mySeg, refMrkName, leftMrkName, rightMrkName,
  fileName = NULL)
}
\arguments{
\item{mySeg}{matrix: segregating genotypes coded as A, B, H, - Colnames: names 
of markers, rownames: names of individual in the population. Markers are 
ordered by chromosome and genetic position}

\item{refMrkName}{character string: name of the ML marker, which is Mendelian
and flanks M* on itl left to indicate the allelic context}

\item{leftMrkName}{character string: name of the MR marker, which is Mendelian
and flanks M* on itl right to indicate the allelic context}

\item{rightMrkName}{character string: name of the M* marker in which H or - calls
have been found in the data}

\item{fileName}{character string: name of the file in which the shuffled data
should be saved (optional, for debugging purposes)}
}
\value{
matrix of characters: each row is a marker and each column is an individual of the mapping 
population. Values are genotypes encoded with either "A", "B", or "H"
}
\description{
Takes all individuals in which the ref mrk M* is in the A (resp B)
context and shuffles genotypes A, H, or - (resp B, H, or -) across those indiv
}
