% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CNVmap.R
\name{analyze_profiles}
\alias{analyze_profiles}
\title{Analyze allele frequency profiles}
\usage{
analyze_profiles(allChromLens, mapNotCan, segNotCan, iCan, canName,
  hypotheses, minNumIndivHcand, minNumIndivMcand, maxGenDistToFusePeaks,
  minNbMrkPerTarget, toleranceFreq, minSlopePeak, minR2peak,
  winSizeToFitPeakShape, PLOT_REGRESSIONS = FALSE)
}
\arguments{
\item{iCan}{numeric: index of the candidate marker to be analyzed}

\item{canName}{character string: name of the candidate marker to be analyzed}

\item{hypotheses}{list: list of CNV scenarios considered, as generated by
the function get_hypotheses}

\item{minNumIndivHcand}{numeric: minimum number of Heterozygous plants with H call}

\item{minNumIndivMcand}{numeric: minimum number of Heterozygous plants with Missing call}

\item{map}{data frame: map information of all markers. Each row is a 
marker (markers are ordered by chromosome and genetic position), columns are:
\itemize{
    \item $map$snpName character string: name of the marker
    \item $map$chr character string or numeric: chromosome (linkage group)
    \item $map$genPos numeric: genetic position in cM of the marker
}}

\item{seg}{matrix: segregating genotypes coded as A, B, H, - Colnames: names 
of markers, rownames: names of individual in the population. Markers are 
ordered by chromosome and genetic position}
}
\value{
list:
\itemize{
  \item $prof (as generated by function "genome_profiles")
  \item $allCandPeaks (as generated by function "find_peaks")
  \item $type (as generated by function "CNV_type")
  \item $nbObs (as generated by function "count_obs_per_class")
}
}
\description{
Analyzes allele frequency profiles in sub-populations to
detect signatures of copy-number variation between the parents of the
mapping panel. Sub-populations are defined depending on the presence of 
heterozygous (and/or missing data) calls at the candidate marker locus.
Allele frequency profiles are generated, plotted, and signatures of CNVs 
are automatically detected and compared to a list of known signatures.
}
