% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CNVmap.R
\name{count_obs_per_class}
\alias{count_obs_per_class}
\title{Counts individuals in each genotypic class}
\usage{
count_obs_per_class(genotClass, S, D, I, H)
}
\arguments{
\item{S}{character: genotype code of the parent with the single copy (may be "A" or "B")}

\item{D}{character: genotype code of the parent with the single copy (may be "A" or "B")}

\item{I}{character: genotype code for missing data ("-")}

\item{H}{character: genotype code for (apparent) heterozygous genotype}

\item{$genotClass}{data frame where each row is one individual of the population (colanmes are 
individual names), with the following columns:
\itemize{
    \item $L: character: genotype at the left marker (before the candidate marker under study)
    \item $M: character: genotype at the candidate marker under study
    \item $R: character: genotype at the right marker (after the candidate marker under study)
}}
}
\value{
vector: number of observations in each class. Names contain class names ("AAA",...)
}
\description{
Counting numbers of observations (individuals) in each genotypic class
}
