% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CNVmap.R
\name{filter_markers_plants}
\alias{filter_markers_plants}
\title{Filter data}
\usage{
filter_markers_plants(map, seg, maxPercentGenot, minMAF)
}
\arguments{
\item{map}{data frame: each row is a marker, columns are:
\itemize{
    \item $snpName: name of the marker
    \item $chr: chromosome (linkage group)
    \item $genPos: genetic position in cM of the marker
}}

\item{seg}{matrix: segregating genotypes coded as A, B, H, - Colnames: names of markers, 
rownames: names of individual in the population}

\item{maxPercentGenot}{Numeric: max percentage of one given genotype call}

\item{MAF}{numeric: Minimum Allele Frequency tolerated for considering
that segregation is Mendelian}
}
\value{
list: \cr
$map (data frame). Each row is a marker, columns are:
\itemize{
    \item $snpName character string: name of the marker
    \item $chr character string or numeric: chromosome (linkage group)
    \item $genPos numeric: genetic position in cM of the marker
}
$seg matrix: segregating genotypes coded as A, B, H, - Colnames: names of markers, 
rownames: names of individual in the population
}
\description{
Filters out markers and plants based on multiple criteria (using thresholds):\cr
- Markers and plants with too many heterozygotes\cr
- Markers and plants with too many missing data\cr
- Markers and plants with min MAF too low
}
\examples{
res <- filter_markers_plants(map=muMap, seg=mySeg, maxPercentGenot=90, minMAF=0.2)
seg = res$seg  ;  map = res$map

}
