% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CNVmap.R
\name{fit_peak_shape}
\alias{fit_peak_shape}
\title{Fit peak flanks linearly}
\usage{
fit_peak_shape(candPeak, myProf, iClass, phase, myMap,
  winSizeToFitPeakShape, PLOT_REGRESSIONS = FALSE)
}
\arguments{
\item{candPeak}{data frame: one row per candidate peak, as generated by 
the function find_peaks}

\item{myProf}{list: values of all allele frequencies, as generated by the 
function genome_profiles}

\item{iClass}{numeric: index of the genotypic class for which the peak has 
been detected (1:AAA. 2:AHA, 3:A-A, 4:BBB, 5:BHB, 6:B-B)}

\item{phase}{character: "A" for peak pointing to high frequency of allele 
"A" (upwards), or "B" for peak pointing to high frequency of allele "B"
(downwards)}

\item{myMap}{data frame: marker mapping information as generated by the
function load_map_file}

\item{winSizeToFitPeakShape}{numeric: length (in centiMorgans) on each 
side of the peak, where the shape will be fit to a line}

\item{PLOT}{logical: if TRUE, plots will be drawn for debugging purposes}
}
\value{
list: list(worseR2=worseR2, bothSlopes=bothSlopes, bothPeakPos=bothPeakPos)
}
\description{
Fits points on each sides of a peak linearly over a window, and 
returns the R-squared and slope. Does this on both a window of size 
winSizeToFitPeakShape and a window of half that size, and keeps the highest 
R-squared
}
