% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CNVmap.R
\name{gamma_meiosis}
\alias{gamma_meiosis}
\title{Gamma_Meiosis}
\usage{
gamma_meiosis(nuGamma = 1, chromosomeLength, markerPosPerChromosome,
  chromosome)
}
\arguments{
\item{nuGamma}{= numeric: interference strength expressed as the nu parameter 
of the Gamma model. nu=1 for no interference. nu>1 for positive interference}

\item{chromosomeLength}{= numeric: genetic length (in centiMorgans) of the
chromosome considered}

\item{markerPosPerChromosome}{matrix: 1 x NbMarkers containing genetic positions 
of all markers}

\item{chromosome}{matrix: 2 x NbMarkers with the diploid genotypes of parent}
}
\value{
matrix: 1 x NbMarkers containing the gamete haplotype
}
\description{
Simulates crossovers between parental haplotypes to generate
gamete haplotypes using the Gamma model for crossover interference
}
