% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CNVmap.R
\name{genotypic_classes}
\alias{genotypic_classes}
\title{Assigns individuals to genotypic classes}
\usage{
genotypic_classes(snpName, map, seg)
}
\arguments{
\item{snpName}{character string: name of the candidate marker under study
rownames: names of individual in the population}

\item{map}{data frame: each row is a marker, columns are:
\itemize{
    \item $snpName character string: name of the marker
    \item $chr character string or numeric: chromosome (linkage group)
    \item $genPos numeric: genetic position in cM of the marker
}}

\item{seg}{matrix: segregating genotypes coded as A, B, H, - Colnames: names of markers, 
rownames: names of individual in the population}
}
\value{
list:\cr
$genotClass data frame where each row is one individual of the population (colanmes are 
individual names), with the following columns:
\itemize{
    \item $L: character: genotype at the left marker (before the candidate marker under study)
    \item $M: character: genotype at the candidate marker under study
    \item $R: character: genotype at the right marker (after the candidate marker under study)
}
$mrkLeft character string: name of the left marker
$mrkRight character string: name of the right marker
}
\description{
Function for classifying each individual of the population 
into 16 genotypic classes depending on the values of the previous and next 
markers for each candidate marker.\cr
The 16 possible genotypic classes are: "AAA","AAB","ABA","ABB","AHA"
"AHB","A-A","A-B","BAA","BAB","BBA","BBB","BHA","BHB","B-A","B-B", with 
"XYZ" meaning X = marker before the marker under study, Y = marker under 
study, and Z = marker after the marker under study
}
