% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CNVmap.R
\name{get_hypotheses}
\alias{get_hypotheses}
\title{Specifies CNV scenarii considered}
\usage{
get_hypotheses()
}
\value{
list:\cr
$hyp list:\cr
\itemize{
   \item $hyp$type character string: describes the type of event: first locus 
    allele1/allele2, then "_", then idem for next locus, etc... (ex. "A/B_A/-")
   \item $hyp$sig character vector: describes the expected
    signature of the event in terms of peaks expected at each locus for the 
    different subsets of individuals in the population (ex. "A--BB-" "E--BA-"). 
    Each element of the vector corresponds to one locus. For each locus, this 
    pattern is encoded as a string of 6 characters, each of them corresponding to 
    one of the genotypic classes (1:AAA, 2:AHA, 3:A-A, 4:BBB, 5:BHB, 6:B-B). 
    For each of these 6 characters, "A" indicates a complete peak pointing upwards 
    to 100 percent frequency of allele "A", "B" indicates a complete peak pointing downwards 
    to 100 percent frequency of allele "B", "E" indicates a flat line around 50%, corresponding 
    to equal frequencies for "A" and "B" allele, "C" indicates a partial peak pointing 
    upwards to frequency of allele "A" between 50 percent and 100%, and "D" indicates a partial 
    peak pointing downwards to frequency of allele "B" between 50 percent and 100 percent
}\cr\cr
$hypDisplay data frame: same structure as $hyp, but $sig is a single string with 
each element of the vector separated by " | "\cr\cr
$estimate_errors list (over hypotheses 1 to 17) of lists of: $pAh, pAm, pBh, pBm, pHa
, pHb, pHm. Each such function has two parameters:\cr
- N vector [6] of numbers of individuals in the 6 3-locus classes
- af vector [6] numeric: allele frequencies for each class\cr
These functions return a list with each different probability pHm, pHa,etc...
}
\description{
Stores details of each hypothesis in a list.
}
