% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CNVmap.R
\name{load_map_file}
\alias{load_map_file}
\title{Load genetic map data (map)}
\usage{
load_map_file(mapFileName)
}
\arguments{
\item{mapFileName}{character string: name of file containing genetic map 
positions}
}
\value{
map data frame: each row is a marker, columns are:
\itemize{
    \item $snpName character string: name of the marker
    \item $chr character string or numeric: chromosome (linkage group)
    \item $genPos numeric: genetic position in cM of the marker
}
}
\description{
Loads linkage map data. The working directory must contain 
a tab-delimited text file without headers with:\cr
- first column character string: marker names, \cr
- second column character string: chromosome, \cr
- third column numeric: genetic map position in centiMorgans.
}
\examples{
map <- load_map_data(mapFileName="myMapData.txt")

}
