% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CNVmap.R
\name{load_raw_data}
\alias{load_raw_data}
\title{Load Mapmaker-type segregation data (raw)}
\usage{
load_raw_data(rawFileName, sep = "", indivNames = NULL)
}
\arguments{
\item{rawFileName}{characterstring: name of file containing segregation data}
}
\value{

}
\description{
Loads allele segregation data from Mapmaker-type file (.raw)\cr
The working directory must contain a Mapmaker file named <segFileName> 
containing:\cr
 - a first line with 'data type <segType>', where <segType> can be one of 
 the four following: 'DH' (doubled haploids), 'RIL' (recombinant inbred 
 lines), or 'IRIL' (intermated recombinant inbred lines. In all cases, 
 allele segregation must be encoded with A, B, and H for residual/apparent 
 heterozygotes\cr
 - a second line with numbers of individuals, number of loci, and possible 
 aliases to be used for the segregation data as for the MapMaker software 
 (e.g. A=1 B=2 H=3 -=0)
 - a third line left blank
 - Then one line per marker with marker name as first column and genotype 
   calls ('A', 'B', 'H', or '-') of each individual of the population in 
   subsequent columns, with the order of individuals corresponding to that
   of the first line
}
