% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CNVmap.R
\name{load_seg_data}
\alias{load_seg_data}
\title{Load simple segregation matrix (seg)}
\usage{
load_seg_data(segFileName)
}
\arguments{
\item{segFileName}{characterstring: name of file containing the matrix of 
marker segregation data (encoded with A, B, H, -)}
}
\value{
seg matrix: segregating genotypes coded as A, B, H, - Colnames: names 
of markers, rownames: names of individual in the population
}
\description{
Loads allele segregation data. The working directory must contain 
a tab-delimited text file named <segFileName> containing:\cr
 - A first line with all names of individuals in the population, then one 
   line per marker with\cr
 - Then one line per marker with marker name as first column and genotype 
   calls ("A", "B", "H", or "-") of each individual of the population in 
   subsequent columns, with the order of individuals corresponding to that
   of the first line
}
\examples{
seg <- load_seg_data(segFileName="mySegData.txt")

}
