% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CNVmap.R
\name{mrk_with_het_or_missing}
\alias{mrk_with_het_or_missing}
\title{Select markers with H or Missing data}
\usage{
mrk_with_het_or_missing(seg, map, minMAF, maxNumIndivHmend,
  maxNumIndivMmend, minNumIndivHcand, minNumIndivMcand,
  selMrkWithHet = T, selMrkWithMissing = F)
}
\arguments{
\item{seg}{matrix: segregating genotypes coded as A, B, H, - Colnames: names of markers, 
rownames: names of individual in the population}

\item{map}{data frame: each row is a marker, columns are:
\itemize{
    \item $snpName character string: name of the marker
    \item $chr character string or numeric: chromosome (linkage group)
    \item $genPos numeric: genetic position in cM of the marker
}}

\item{minMAF}{numeric: minimum of Minimum Allele Frequency in the population 
for a marker to be considered in the analysis}

\item{selMrkWithHet}{logical: if TRUE, markers will be selected if they have at least 
minNumber individuals heterozygote}

\item{selMrkWithMissing}{logical: if TRUE, markers will be selected if they have at 
least minNumber individuals missing data}

\item{minNumber}{numeric: minimum number of individuals Heterozygous (and/or Missing)
for the marker to be selected}
}
\value{
list:\cr
$seg matrix: same as param seg, but contains only (1) all candidate markers and 
(2) non-candidate Mendelian markers\cr
$map same as param map, but contains only (1) all candidate markers and 
(2) non-candidate Mendelian markers\cr
$canMrkNames vector of character strings: names of the candidate markers
}
\description{
Returns candidate markers for being within CNV regions, defined 
as markers which have heterozygous and/or missing data for a minimum nmber of 
individuals in the population. \cr
Among non-candidate markers, filters out the non-candidate markers which show 
non-Mendelian segregation, based on the threshold value minMAF\cr
Reorders markers by chromosome and genetic position in seg and map tables
}
