% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CNVmap.R
\name{profile_plot}
\alias{profile_plot}
\title{Plot profile}
\usage{
profile_plot(myMap, prof, smProf, main, nbObs, canName, SMOOTH = FALSE,
  trueLoci, supplLoci = NULL, WIN_SIZE_PLOT = 10, colVec = c(2, 6, 8,
  4, 5, 1))
}
\arguments{
\item{myMap}{data frame: marker mapping information as generated by function
load_data}

\item{prof}{list: values of allele frequencies for each marker and for each
subpopulation, as generated by function genome_profiles}

\item{main}{character string: title of the graph}

\item{nbObs}{named vector of numeric: numbers of individuals in each of the 
subpopulations, as generated by function count_obs_per_class. Names indicate
classes (e.g. AAA, AHA, etc...)}

\item{canName}{character string: name of the candidate marker for which 
heterozygous (and/or missing) data were observed}

\item{trueLoci}{data frame: information on the CNV event recognized by 
function CNV_type}

\item{supplLoci}{data frame: same as trueLoci, but for loci not recognized}

\item{WIN_SIZE_PLOT}{numeric: size of the window (number of markers) for 
smoothing global allele frequencies (black line)}

\item{colVec}{vector of numeric: colors for the different classes of 
individuals}
}
\description{
Plots allele frequency profiles along the genome for different
subpopulations, together with the peaks detected
}
