% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CNVmap.R
\name{simulate_segregation_data}
\alias{simulate_segregation_data}
\title{Simulate segregation data with CNVs}
\usage{
simulate_segregation_data(nuGamma, myMap, mySeg, Fn, mappingPanelType,
  nbGenIntermat, scenario, refMrkName, otherLociChrs, otherLociGenPos,
  fileName)
}
\arguments{
\item{myMap}{data frame: information about the marker data set to mimmic,
columns are:
\itemize{
    \item $snpName character string: name of the marker
    \item $chr character string or numeric: chromosome (linkage group)
    \item $genPos numeric: genetic position in cM of the marker
}}

\item{Fn}{numeric: number of generations of selfing for Recombinant Inbred
Lines (RILs)}

\item{mappingPanelType}{character string: type of segregating population, must 
be one of: BC (backcross or doubled haploids population), RIL (recombinant inbred lines),
or IRIL (Intermated RILs), which means some generations of random intermating before the
generations of selfing}

\item{scenario}{character string: type of event (structural variant) to simulate:
the different loci (duplicated regions) are separated by "_". Parental genotypes 
at each locus are given as X/Y where X is the genotype of parent_1 and Y the 
genotype of parent_2}

\item{otherLociChrs}{vector of character strings: chromosomes (names) on which other
copies of the region will be simulated}

\item{otherLociGenPos}{vector of numeric: genetic position in centiMorgans of the 
other copies to be simulated}

\item{fileName}{character string: prefix of the names of the files that will be 
generated with the simulated segregation data}

\item{nbIndiv}{numeric: number of individuals in the population}

\item{nbGenIntermate}{numeric: number of generations of random intermating in 
the case of IRILs}

\item{refLocusMrkIndex}{numeric: index (as in the seg and map data files) of the marker 
considered as reference locus (first copy)}
}
\value{
matrix of characters: each row is a marker and each column is an individual of the mapping 
population. Values are genotypes encoded with either "A", "B", or "H"
}
\description{
Simulates segregation data mimicking a data set, given a scenario
of copy-number variation, and generates corresponding .seg and .map files
}
