% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CNVmap.R
\name{genome_profiles}
\alias{genome_profiles}
\title{Compute genome-wide profiles}
\usage{
genome_profiles(allChromLens, myMap, mySeg, ixPerClass, minNumIndivHcand,
  minNumIndivMcand)
}
\arguments{
\item{myMap}{data frame: each row is a marker, columns are:
\itemize{
    \item $snpName character string: name of the marker
    \item $chr character string or numeric: chromosome (linkage group)
    \item $genPos numeric: genetic position in cM of the marker
}}

\item{mySeg}{matrix: segregating genotypes coded as A, B, H, - Colnames: names 
of markers, rownames: names of individual in the population}

\item{ixPerClass}{list: (one element per genotypic class) containing the 
indices of individuals belonging to the corresponding class}

\item{minNumIndiv}{numeric: minimum number of individuals per class for
which allele frequencies will be computed}
}
\value{
list:\cr
$cumPos vector of numeric: cumulative gene positions over all chromosomes\cr
$allFreqClass list of vectors of numeric: each element of the list corresopnds 
to one of the 6 genotypic classes AAA, AHA, A-A, BBB, BHB, B-B, and contains 
a vector of frequencies of allele A among individuals belonging to the 
corresponding genotypic class. The values in the vector correspond to each 
marker along the genome. A last (7th) element corresponds to the vector of 
frequencies of allele A among all individuals, for each marker along the genome\cr
$allGenPos vector of numeric: genetic positions of markers genome-wide
 (chromosomes are one after each other but positions are not cumulated)\cr
$maxCumGenPos vector of numeric: genetic length of each chromosome 
 
# --------- Private function ----------
# -------------------------------------
}
\description{
Calculates genome-wide allele frequency (1) among subsets of 
individuals corresponding to each genotypic class, and (2) among all 
individuals, as well as cumulated genetic positions genome-wide. \cr
Considers only the first 6 classes: AAA, AHA, A-A, BBB, BHB, B-B
}
