% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/CNVmap.R
\name{load_snp_data}
\alias{load_snp_data}
\title{Load SNP calling data (snp)}
\usage{
load_snp_data(snpFileName, typePop, indivNames = NULL, naChar = "-",
  sep = "")
}
\arguments{
\item{typePop}{Population type code. Used to verify the validity of the segregations within the population.}

\item{indivNames}{Vector of individual names. Must be the same length as the number of individuals in the population.
Must not have duplicate names. Optional attribute that attaches to the returned dataframe.}

\item{naChar}{Character used to represent missing data.}

\item{sep}{Character used to separate the table's cells.}

\item{filename}{Name of the file to load.}

\item{popName}{Name for the population. Optional attribute that attaches to the returned dataframe.}
}
\value{
Segregation Data dataframe of the population.
}
\description{
Reads a .snp segregation file (Tabulated genotype file):
   \itemize{
       \item{ Column 1: }{ Marker names. Must not have duplicate names. }
       \item{ Columns 2 and 3: }{ Population parent's genotypes. Two characters per cell.
           Any characters may be used but must match with the characters used for the individuals. }
       \item{ Columns 4+: }{ Individuals' genotypes. Two characters per cell.
           Any characters may be used but must match with the characters used for the parents. }
   }
}
